V3 Get External Organizations

Retrieves a list of external organization summary details and child organization hierarchy.

This API added with the 24.2 release of Encompass.

Usage Notes

  • For the entities query parameter, the API supports including multiple entities in a single call via a comma-separated list of supported entities.
  • The organizations that are returned depends on the current user type and persona. Review the scenarios below for more details:
ScenarioBehaviour
Current user is external user.User can see external orgs in its hierarchy, above its current org, and all child orgs if 'isRecursive' is True.
Current user is external user and has "sales rep/AE" persona.User can see external orgs in which current logged-in user is added as sales rep/AE.
Current user is internal user and has "sales rep/AE" persona.User can see external orgs for the organizations for which they are assigned as "sales rep/AE".
Query Params
string

The unique ID for the parent organization.

string

Use this parameter to determine if the query should include child organizations.
- If isRecursive=true, the child organizations also will be returned in the response.
- If isRecursive=false, only the organizations at root level under “Third Party Originators”.

integer

Pass this value for paginating results. Default is 0.

string

Pass this value for limiting how many records should be returned on each page. Default Limit is 100.

string

The unique ID for the TPO.

string

Use this parameter to filter the API response. The supported values are: summary and companyDetails. When entity parameter is not passed, by default, only the summary information is returned in the response.

string

Comma-separated list of organization types. Possible values are the following:
- Company
- CompanyExtension
- Branch
- BranchExtension

string

Use to filter the results by any of the following:
siteId - The siteId of the site URL.
Name - The name of the org.
companyName - The name of the org when the org type is 'company'.
branchName - The name of the org when the org type is 'branch'.
Example: v3/settings/externalOrganizations/tpos?filter=companyName:'ABCcorp',siteId|('3298728272', '6298472767','3385961829', '1234554321')

string

Use to sort the results in ascending (asc) or descending (desc) order by any of the following attributes:
siteId - The siteId of the site URL.
Name - The name of the org.
companyName - The name of the org when the org type is 'company'.
branchName - The name of the org when the org type is 'branch'.
Example: /v3/settings/externalOrganizations/tpos?sort=Name:asc
Example: /v3/settings/externalOrganizations/tpos?sort=Name:desc

Headers
string
required

Bearer token

Responses

400

Bad Request

401

Unauthorized

Language
URL
Response
Choose an example:
application/json